const http = require('http');

var sendScriptJob = function( scriptObj , callback ){
  var timeA =  Date.now()

////// POST ////////////

  var postData = JSON.stringify( scriptObj );

  var options = {
    hostname: 'localhost',
    port: 8000,
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    }
  };

  var request = http.request(options, function( response ){
    var body = '';

    response.on('data', function(chunk) {
        body += chunk;
    });
    response.on('end', function() {
      // console.log('body', body);
      console.log('log time ', Date.now() - timeA );
      body = JSON.parse( body )
      callback( null, body )
    });
  });

  request.on('error', function(e) {
    console.log('Got error:', e.message );
    callback( {message: e.message, statusCode: 500} , null )

  });

  // write data to request body
  request.write(postData);
  request.end();

}

// sendScriptJob( null, function(err, res ){
//   console.log('res', res);
// })

module.exports = sendScriptJob
